Miss any of our Open RFC calls?Watch the recordings here! »

markdown-it-sup

1.0.0 • Public • Published

markdown-it-sup

Build Status NPM version Coverage Status

Superscript (<sup>) tag plugin for markdown-it markdown parser.

v1.+ requires markdown-it v4.+, see changelog.

29^th^ => 29<sup>th</sup>

Markup is based on pandoc definition. But nested markup is currently not supported.

Install

node.js, browser:

npm install markdown-it-sup --save
bower install markdown-it-sup --save

Use

var md = require('markdown-it')()
            .use(require('markdown-it-sup'));
 
md.render('29^th^') // => '<p>29<sup>th</sup></p>'

Differences in browser. If you load script directly into the page, without package system, module will add itself globally as window.markdownitSup.

License

MIT

Install

npm i markdown-it-sup

DownloadsWeekly Downloads

71,231

Version

1.0.0

License

MIT

Last publish

Collaborators

  • avatar